org.apache.jmeter.gui.action

## Class ChangeLanguage

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest
    - - org.apache.jmeter.gui.action.ChangeLanguage

All Implemented Interfaces:
  Command

    public class ChangeLanguage
    extends AbstractActionWithNoRunningTest

Change language

### Constructor Summary

Constructors
Constructor and Description
`ChangeLanguage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doActionAfterCheck(ActionEvent e)` Called to handle `ActionEvent` only if no test is running
`Set<String>` `getActionNames()`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest

`doAction`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChangeLanguage

    public ChangeLanguage()

### Method Detail

#### doActionAfterCheck

    public void doActionAfterCheck(ActionEvent e)

Description copied from class: `AbstractActionWithNoRunningTest`
Called to handle `ActionEvent` only if no test is running

Specified by:
  `doActionAfterCheck` in class `AbstractActionWithNoRunningTest`
Parameters:
  `e` - `ActionEvent`
See Also:
  `AbstractActionWithNoRunningTest.doActionAfterCheck(ActionEvent)`

#### getActionNames

    public Set<String> getActionNames()

See Also:
  `Command.getActionNames()`